> For the complete documentation index, see [llms.txt](https://docs.signius.eu/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.signius.eu/api/ra/initialize-verification.md).

# Initialize verification

## Initialize verification

With this request, you can start process of identity verification. In the request you can provide API with adress of your webhook server, where result of the verification will be sent. You can also send an url to which user will be redirected after verification. In response you will be provided with link to the verification website.

<mark style="color:green;">`POST`</mark> <https://professional.signius.eu:8300/api/ra/users/\\{{user\\_email\\}}/identity-verification/\\{{method> of verification}}

**Headers**

| Name         | Value              |
| ------------ | ------------------ |
| Content-Type | `application/json` |

**Body**

| Name          | Type   | Description                                                     |
| ------------- | ------ | --------------------------------------------------------------- |
| `callbackUrl` | string | Address to your webhook server                                  |
| `redirectUrl` | string | Address to which the user will be redirected after verification |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "id": "02e59dd7-48f9-4695-b34c-abed796f056b",
    "identityVerificationStatus": "IN_PROGRESS",
    "targetUrl": "{link_to_verification_site}",
    "identityMethod": "{method of verification}",
    "session": {
        "id": "13fa7e03-d06e-4d23-866a-7800f5d7e7e8",
        "terms": true,
        "authenticatorTokenSerial": null,
        "blocked": false,
        "type": null
    }
}
```

{% endtab %}
{% endtabs %}

#### Webhook

After verification a following response will be send to your webhook server:

```json
{
    "status":"SUCCESS",
    "identifier":"{identifier address}"
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.signius.eu/api/ra/initialize-verification.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
